## $Id: batching.py 7853 2012-03-12 17:00:58Z henrik $
##
## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""Additional processors for applicants.
"""

import grok
from waeup.kofa.applicants.batching import ApplicantImporter
from waeup.custom.applicants.interfaces import IPGApplicant

class PGApplicantImporter(ApplicantImporter):
    """A batch processor for IPGApplicant objects.
    """
    util_name = 'pgapplicantimporter'
    grok.name(util_name)
    name = u'PG Applicant Importer'
    iface = IPGApplicant
    factory_name = 'waeup.PGApplicant'